at.chipkarte.client.elgaad.soap

## Class GdaDeskriptor

- Object
- - at.chipkarte.client.elgaad.soap.GdaDeskriptor

-     public class GdaDeskriptor
      extends Object

  GDA Daten.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GdaDeskriptor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InstanceIdentifierBase[]` | `getElgaRollen()` ELGA-Rolle(n) des GDAs.
    `GdaAdresse[]` | `getGdaAdressen()` Adresse(n) des GDAs.
    `InstanceIdentifier` | `getGdaId()` Informationen zur GDA-ID.
    `InstanceIdentifierBase[]` | `getGdaRollen()` Rolle(n) des GDAs.
    `String` | `getName()` Nachname bzw.
    `Boolean` | `getOrganisation()` Kennzeichen ob es sich beim GDA um eine Organisation handelt.
    `String` | `getShortname()` Kurzname des GDAs.
    `String` | `getTitel()` Titel des GDAs.
    `String` | `getVorname()` Vorname des GDAs.
    `String[]` | `getVpNummern()` VPNR(s) des GDAs.
    `void` | `setElgaRollen(InstanceIdentifierBase[] elgaRollen)`
    `void` | `setGdaAdressen(GdaAdresse[] gdaAdressen)`
    `void` | `setGdaId(InstanceIdentifier gdaId)`
    `void` | `setGdaRollen(InstanceIdentifierBase[] gdaRollen)`
    `void` | `setName(String name)`
    `void` | `setOrganisation(Boolean organisation)`
    `void` | `setShortname(String shortname)`
    `void` | `setTitel(String titel)`
    `void` | `setVorname(String vorname)`
    `void` | `setVpNummern(String[] vpNummern)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GdaDeskriptor

          public GdaDeskriptor()

  - ### Method Detail

    - #### getGdaId

          public InstanceIdentifier getGdaId()

      Informationen zur GDA-ID. Siehe `InstanceIdentifier`.
      Angabe: Muss
      Returns:
        InstanceIdentifier

    - #### getVorname

          public String getVorname()

      Vorname des GDAs.
      Angabe: Kann
      Format: max. 128 stellig (alphanumerisch).
      Returns:
        Vorname

    - #### getName

          public String getName()

      Nachname bzw. Organisationsname des GDAs.
      Angabe: Muss
      Format: max. 128 stellig (alphanumerisch).
      Returns:
        Nachname/Organisationsname

    - #### getTitel

          public String getTitel()

      Titel des GDAs.
      Angabe: Kann
      Format: max. 128 stellig (alphanumerisch).
      Returns:
        Titel

    - #### getShortname

          public String getShortname()

      Kurzname des GDAs.
      Angabe: Kann
      Format: max. 128 stellig (alphanumerisch).
      Returns:
        Kurzname

    - #### getGdaAdressen

          public GdaAdresse[] getGdaAdressen()

      Adresse(n) des GDAs. Siehe `GdaAdresse`.
      Angabe: Kann
      Returns:
        Liste von Adressen

    - #### getOrganisation

          public Boolean getOrganisation()

      Kennzeichen ob es sich beim GDA um eine Organisation handelt.
      Angabe: Kann
      Format: Boolean, true wenn die es sich um eine Organisation handelt
      Returns:
        Kennzeichen Organisation

    - #### getElgaRollen

          public InstanceIdentifierBase[] getElgaRollen()

      ELGA-Rolle(n) des GDAs. Siehe `InstanceIdentifierBase`.
      Angabe: Muss. Mindestens eine ELGA-Rolle muss definiert sein.
      Returns:
        Liste von ELGA-Rollen

    - #### getGdaRollen

          public InstanceIdentifierBase[] getGdaRollen()

      Rolle(n) des GDAs. Siehe `InstanceIdentifierBase`.
      Angabe: Kann.
      Returns:
        Liste von GDA-Rollen

    - #### getVpNummern

          public String[] getVpNummern()

      VPNR(s) des GDAs.
      Angabe: Kann
      Returns:
        Liste von VPNRs

    - #### setGdaId

          public void setGdaId(InstanceIdentifier gdaId)

    - #### setVorname

          public void setVorname(String vorname)

    - #### setName

          public void setName(String name)

    - #### setTitel

          public void setTitel(String titel)

    - #### setShortname

          public void setShortname(String shortname)

    - #### setGdaAdressen

          public void setGdaAdressen(GdaAdresse[] gdaAdressen)

    - #### setOrganisation

          public void setOrganisation(Boolean organisation)

    - #### setElgaRollen

          public void setElgaRollen(InstanceIdentifierBase[] elgaRollen)

    - #### setGdaRollen

          public void setGdaRollen(InstanceIdentifierBase[] gdaRollen)

    - #### setVpNummern

          public void setVpNummern(String[] vpNummern)